# Class DataGridEditCellDefDirective<T>

#### Type Parameters

- T extends Record<string, any>

- Defined in data-grid-edit-cell-def.directive.ts:16

#####
Index

### Constructors

constructor

### Properties

template

### Methods

ngTemplateContextGuard

##
Constructors

### constructor

- new DataGridEditCellDefDirective<T extends Record<string, any>>(
  template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>,
  ): DataGridEditCellDefDirective<T>

  #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>

  #### Returns DataGridEditCellDefDirective<T>

  - Defined in data-grid-edit-cell-def.directive.ts:24

##
Properties

### template

template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>

- Defined in data-grid-edit-cell-def.directive.ts:26

##
Methods

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard<T extends Record<string, any>>(
  dir: DataGridEditCellDefDirective<T>,
  ctx: any,
  ): ctx is DataGridEditCellDefDirectiveContext<T>

  #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - dir: DataGridEditCellDefDirective<T>
  - ctx: any

  #### Returns ctx is DataGridEditCellDefDirectiveContext<T>

  - Defined in data-grid-edit-cell-def.directive.ts:17